<?php echo $this->Html->css(array('EvBlog.admin_comments')); ?>
<div class='edit-form'>

	<div class='edit-form__header'>
		<h1 class='title'><?php echo $this->InflectorExt->camelToPluralize($displayName); ?> <span>Administration</span></h1>
		<h2 class='title edit-form__title'>
			<?php
				echo $actionLabel . ' ';
				echo $this->InflectorExt->camelToHumanize($displayName);
			?>
		</h2>

		<?php echo $this->Element('toolbar'); ?>
		<div class="tab-container"></div>
	</div>

	<?php

		echo $this->Html->script('admin_form', array('inline'=>false));
		echo $this->Html->script('attachments', array('inline'=>false));

		echo $this->Form->create($primaryModel, array(
			'inputDefaults'=>array(
				'empty'=>''
			),
			'type' => 'file',
			'class' => 'cr'
		));

			$content = $this->fetch('content');
			if (empty($content)):

				$content = $this->element('Forms/fields', array('fields' => $fields));
			endif;

			echo $this->element(
				'form_tab',
				array(
					'title' => __('Content'),
					'tabContent' => $content,
	                'divOptions' => array(
	                    'class' => 'field-data',
                        'data-active-model' => $activeItem['model'],
                    	'data-active-model-id' => $activeItem['id']
	                )
				)
			);

			// check to toInject array to see if there are any helpers tp run
			if (! empty($toInjectData['helpers'])):

				foreach ($toInjectData['helpers'] as $class => $helper):

					echo $this->{$class}->injectAdminForm();

				endforeach;
			endif;


			if ($additionalTabs = $this->fetch('additionalFormTabs')):

				echo $additionalTabs;
			endif;

			echo '<div class="img-docs-section">';
				echo $this->element('img_doc_tabs');
			echo '</div>';

			if (isset($menuFields) && !empty($menuFields)):
				echo $this->element(
					'form_tab',
					array(
						'title' => __('Menu'),
						'tabContent' => $this->element('Forms/fields', array('fields' => $menuFields)),
					)
				);
			endif;

			if (isset($metaData) && !empty($metaData)):
				echo $this->element(
					'form_tab',
					array(
						'title' => __('Meta Data'),
						'tabContent' => $this->element('Forms/fields', array('fields' => $metaData))
					)
				);
			endif;
		?>

		<div class="tab__content" data-title="Comments">
			<?php echo $this->Element('EvBlog.admin-blog-comments'); ?>
		</div>

		<div class="input checkbox">
			<input type="hidden" name="return" id="return_" value="0" />
			<input type="checkbox" name="return" null="1" length="1" value="1" id="return"<?php echo !empty($return) ? 'checked="checked"' : null; ?> /><!--
			--><label for="return"><?php echo __('Return after saving'); ?></label>
		</div>

		<?php echo $this->Element('Forms/form_submit'); ?>

	<?php echo $this->Form->end(); ?>

</div>